%define upstream_name    Config-Tiny
%define upstream_version 2.30

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Read/Write .ini style files with as little code as possible
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 3.300.0
BuildRequires: perl(File::Temp) >= 0.220.0
BuildRequires: perl(Test::More) >= 1.1.2
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildArch:  noarch

%description
"Config::Tiny" is a perl class to read and write .ini style
configuration files with as little code as possible, reducing load time
and memory overhead. Most of the time it is accepted that Perl
applications use a lot of memory and modules. The "::Tiny" family of
modules is specifically intended to provide an ultralight alternative to
the standard modules.

This module is primarily for reading human written files, and anything
we write shouldn't need to have documentation/comments. If you need
something with more power move up to Config::Simple, Config::General or
one of the many other "Config::" modules. To rephrase, Config::Tiny does
not preserve your comments, whitespace, or the order of your config
file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 644 Changes lib/Config/Tiny.pm
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Config
%{_mandir}/*/*

%changelog
* Mon Oct 23 2023 tv <tv> 2.300.0-1.mga10
+ Revision: 2000303
- update to 2.30

* Tue Aug 29 2023 tv <tv> 2.290.0-1.mga10
+ Revision: 1980933
- update to 2.29

* Mon Mar 21 2022 umeabot <umeabot> 2.280.0-2.mga9
+ Revision: 1815930
- Mageia 9 Mass Rebuild

* Wed Jan 05 2022 tv <tv> 2.280.0-1.mga9
+ Revision: 1766915
- update to 2.28

* Mon Sep 27 2021 tv <tv> 2.270.0-1.mga9
+ Revision: 1746614
- update to 2.27

* Thu Feb 25 2021 tv <tv> 2.260.0-1.mga9
+ Revision: 1690204
- update to 2.26

* Sat Feb 15 2020 umeabot <umeabot> 2.240.0-2.mga8
+ Revision: 1526798
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 tv <tv> 2.240.0-1.mga8
+ Revision: 1415917
- update to 2.24

* Wed Sep 19 2018 umeabot <umeabot> 2.230.0-3.mga7
+ Revision: 1266670
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 2.230.0-2.mga6
+ Revision: 1024317
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 2.230.0-1.mga6
+ Revision: 923690
- update to 2.23

* Tue Jul 14 2015 sander85 <sander85> 2.220.0-1.mga6
+ Revision: 854072
- update to 2.22

* Wed Oct 15 2014 umeabot <umeabot> 2.200.0-3.mga5
+ Revision: 744172
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.200.0-2.mga5
+ Revision: 684001
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 2.200.0-1.mga5
+ Revision: 588252
- update to 2.20

* Fri Oct 18 2013 umeabot <umeabot> 2.140.0-3.mga4
+ Revision: 510256
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.140.0-2.mga3
+ Revision: 364707
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 25 2011 jquelin <jquelin> 2.140.0-1.mga1
+ Revision: 77296
- update to 2.14

* Tue Jan 18 2011 jquelin <jquelin> 2.130.0-1.mga1
+ Revision: 22205
- cleaning spec file
- imported package perl-Config-Tiny

